package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import com.DBConnection;

public class KeymailDetail extends BodyTagSupport
{
	private String keymailid = "";
	private java.util.List creationdate = new java.util.LinkedList();
	private java.util.List expirationtype = new java.util.LinkedList();
	private java.util.List approval = new java.util.LinkedList();
	private java.util.List maxlimit = new java.util.LinkedList();
	private java.util.List keymailstatus = new java.util.LinkedList();
	private java.util.List comments = new java.util.LinkedList();
	private int index;
    private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();

    public String getKeymailid ()
    {	
		return keymailid;	
	}
    public void setKeymailid( String newkeymailid )
    {
		this.keymailid = newkeymailid;	
	}
	public int doStartTag() throws JspException
    {
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null, stmt1 = null;
		java.sql.ResultSet rs = null, rs1 = null;

		output = new StringBuffer();

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			stmt1 = conn.createStatement();

			qry = "SELECT KEYMAIL.CREATION_DATE, KEYMAIL.EXPIRATION_TYPE, KEYMAIL.EXPIRATION_DAYS, KEYMAIL.APPROVALID,KEYMAIL.MAXLIMIT,KEYMAIL.COMMENTS, STATUS.KEYMAIL_STATUS FROM KEYMAILS KEYMAIL,KEYMAIL_STATUS STATUS WHERE KEYMAIL.STATUSID=STATUS.STATUSID AND KEYMAILID='"+keymailid+"'";
			rs = stmt.executeQuery(qry);
			if(rs.next())
			{
				SimpleDateFormat dateformat = new SimpleDateFormat("dd/MM/yyyy hh:mm a");
				String crdate = dateformat.format(rs.getDate("CREATION_DATE"));
				creationdate.add ( crdate );
				keymailstatus.add (rs.getString("KEYMAIL_STATUS"));
				
				String exptype = "";
				if((rs.getString("EXPIRATION_TYPE").trim()).equals("N/A"))
					exptype = "<b>never expires</B>";
				else if ((rs.getString("EXPIRATION_TYPE").trim()).equals("A"))
					exptype = "<b>expires</B> after <b>"+rs.getInt("EXPIRATION_DAYS")+"</b> days from the date of creation of the keymail." ;
				else if ((rs.getString("EXPIRATION_TYPE").trim()).equals("R"))
					exptype = "<b>expires</b> after <b>"+rs.getInt("EXPIRATION_DAYS")+"</b> days from the first time a mail is sent to this account.";
				expirationtype.add ( exptype );
				
				String limit = "";
				if(rs.getInt("MAXLIMIT") < 0)
					limit = "Unlimited";
				else
					limit = ""+rs.getInt("MAXLIMIT");
				maxlimit.add ( limit );

				String scope = "";
				if(rs.getInt("APPROVALID") == 1)
					scope = "Full Email";
				else if(rs.getInt("APPROVALID") == 2)
					scope = "Domain";
				else if(rs.getInt("APPROVALID") == 3)
					scope = "Enterprise";
				approval.add ( scope );
				comments.add (rs.getString("COMMENTS"));
			}
			else
			{
				creationdate.add ("0");
				keymailstatus.add ("0");
				expirationtype.add ("0");
				maxlimit.add ("0");
				approval.add ("0");
				comments.add ("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( creationdate.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < creationdate.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "creationdate", creationdate.get( index ).toString() );
		pageContext.setAttribute( "keymailstatus", keymailstatus.get( index ).toString() );
		pageContext.setAttribute( "expirationtype",expirationtype.get( index ).toString() );
		pageContext.setAttribute( "maxlimit", maxlimit.get( index ).toString() );
		pageContext.setAttribute( "approval", approval.get( index ).toString() );
		pageContext.setAttribute( "comments", comments.get( index ).toString() );
	}
}


