/********************************************************************************/
/* Name			:	SelectUser.java						*/
/* Copyright	:	2003 SATCOMLABS LTD.				*/
/* Team			:	Spam Control Team					*/
/* Developer	:	Pavan Gupta						*/
/* Last Updated	:	10:10 AM 17/12/2003					*/
/* Abstract		:	Create Custom tag fro fetch alias			*/
/* Called from	:	addalias.jsp					*/
/* Calls		:							*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import com.DBConnection;

public class SelectUser extends BodyTagSupport
{
	private int userid = 0;
	private java.util.List username = new java.util.LinkedList();
	private java.util.List domainname = new java.util.LinkedList();
	private java.util.List status = new java.util.LinkedList();
	private java.util.List autoadd= new java.util.LinkedList();

	private int index;
	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();
 

	public int getUserid ()
    	{	
		return userid;	
	}
	public void setUserid( int newuserid )
    	{
		this.userid = newuserid;	
	}
	
	public int doStartTag() throws JspException
    	{
		
		output = new StringBuffer();
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();

			//FETCH USER INFORMATION FROM USERS TABLE
			qry = "SELECT U.EMAIL_USERNAME,D.DOMAINNAME,U.STATUS,U.AUTOADD FROM USERS U, DOMAINS D WHERE U.DOMAINID=D.DOMAINID AND U.USERID="+userid;

			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
				username.add(rs.getString( "EMAIL_USERNAME" ));
				domainname.add(rs.getString( "DOMAINNAME" ));
				
				String user_status = rs.getString( "STATUS" );
				if (user_status.equals("1"))
					user_status = "Active";
				else if (user_status.equals("2"))
					user_status = "Passive";
				else if (user_status.equals("3"))
					user_status = "Silent";
				else if (user_status.equals("4"))
					user_status = "Pass Through";
				else if (user_status.equals("5"))
					user_status = "Greylist";
				status.add(user_status);


				if(rs.getString( "AUTOADD" ).equals("0"))
					autoadd.add("False");
				else if(rs.getString( "AUTOADD" ).equals("1"))
					autoadd.add("True");
			}
			else
			{
				username.add("0");
				domainname.add("0");
				status.add("0");
				autoadd.add("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( username.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}
	public int doAfterBody() throws JspTagException
    	{
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < username.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     	}
		
	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		return EVAL_PAGE;
	}
	private void setLoopVariables ()
    	{
		pageContext.setAttribute( "username", username.get( index ).toString() );
		pageContext.setAttribute( "domainname", domainname.get( index ).toString() );
		pageContext.setAttribute( "status", status.get( index ).toString() );
		pageContext.setAttribute( "autoadd", autoadd.get( index ).toString() );
	}
}