  
  /******************************************************************************/
/* Name			:UserMenu.java													*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pavan Gupta														*/
/* Last Updated	:2.45 PM 08/01/2004											*/
/* Abstract		:Tag Handler for User Menu										*/
/* Called from	:dashboard														*/
/* Calls		:																*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import com.DBConnection;

public class UserMenu extends TagSupport
{
	private int showCurrPage = 0;

	public int getShowCurrPage ()
	{	
		return showCurrPage;	
	}
    public void setShowCurrPage( int s )
    {
		showCurrPage = s;	
	}


	public int doStartTag() throws JspException
    {
		try
		{
			JspWriter out = pageContext.getOut();
			out.println("<TABLE border=0 cellPadding=0 cellSpacing=0 width='100%'>");
       		out.println("<TBODY>");
			if(showCurrPage == 1)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Usrdashboard style=FONT-WEIGHT: bold>DashBoard</a> </TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Usrdashboard href=usermain.jsp>DashBoard</a> </TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 2)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_addKeyMail style=FONT-WEIGHT: bold>Add Keymail</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_addKeyMail href=addkeymail.jsp>Add Keymail</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 3)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_addAlias style=FONT-WEIGHT: bold>Add Alias</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_addAlias href=addalias.jsp>Add Alias</a></TD>");
				out.println("</TR>");
			}
			if(showCurrPage == 4)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_addWhiteList style=FONT-WEIGHT: bold>Add to Whitelist</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_addWhiteList href=addwhitelist.jsp>Add to Whitelist</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 5)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<A class=nav id=UserMenu_search style=FONT-WEIGHT: bold>Search</A></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_search href=customview.jsp>Search</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 6)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Preapproved style=FONT-WEIGHT: bold>Pre-approved</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Preapproved href=userviewall.jsp?conditionid=1&validate=0>Pre-approved</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 7)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Unvalidated style=FONT-WEIGHT: bold>Unvalidated</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Unvalidated href=userviewall.jsp?conditionid=3&validate=0>Unvalidated</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 8)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Validated style=FONT-WEIGHT: bold>Validated</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Validated href=userviewall.jsp?conditionid=1&validate=1>Validated</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 9)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Spammer style=FONT-WEIGHT: bold>Spammers</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Spammer href=userviewall.jsp?conditionid=2&validate=0>Spammers</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 10)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_allKeymails style=FONT-WEIGHT: bold>Keymails</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_allKeymails href=viewkeymails.jsp>Keymails</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 11)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_allalias style=FONT-WEIGHT: bold>Aliases</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_allalias href=viewalias.jsp>Aliases</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 12)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_uploadFile style=FONT-WEIGHT: bold>Import</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_uploadFile href=uploadfiles.jsp?uploadtype=U>Import</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 13)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_settings style=FONT-WEIGHT: bold>User Settings</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_settings href=usersettings.jsp>User Settings</a></TD>");
				out.println("</TR>");
			}
			if(showCurrPage == 14)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_settings style=FONT-WEIGHT: bold>Quarantined</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_settings href=quarantine.jsp>Quarantined</a></TD>");
				out.println("</TR>");
			}

			out.println("<TR>");
			out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav href=javascript:onclick=openHelp('help/GettingStartedUser.htm')>Getting Started</A></TD>");
			out.println("</TR>");

			out.println("<TR>");
			out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Logout href=dashboardlogin.jsp>Logout</a></TD>");
			//out.println("<TD class=leftnav noWrap align=left><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Logout href=logout.jsp>Logout</a></TD>");
			out.println("</TR>");

       		out.println("</TBODY>");
			out.println("</TABLE>");
		}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);	
		}
		return SKIP_BODY;
	}
}