<%
/********************************************************************************/
/* Name			: ldapsettings.jsp											*/
/* Copyright	: 2005 Data InfoCom LTD.				     					*/
/* Team			: Spam Control Team												*/
/* Developer	: Virendra Singh Royal											*/
/* Last Updated	: 24/06/2006													*/	
/* Abstract		: Update LDAP settings 										*/
/* Called from	: dashboard														*/
/* Calls		: interldapsettings.jsp,LdapSettings.java					*/
/********************************************************************************/
%>
<%@ taglib prefix="domain" uri="/WEB-INF/TLDS/domain.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication"/>
<jsp:useBean id = "settingid1" scope = "session" class = "com.antispam.LdapSettings" />

<%
String columnnamedalias = "domainalias";
String orderdalias = "desc";
int userid = 0;
userid= validate.getUserid();

int adminid = validate.getAdminid();
if (userid==0 || adminid > 2)
{
	response.sendRedirect("dashboardlogin.jsp");
		System.out.println("--------------------EXECUTED------------------11");

}
else
{
	int logindomainid = validate.getDomainid();
	int domainid = 0;
	int tempdomainid = validate.getTempdomainid();
	if(tempdomainid == 0)
		domainid = logindomainid;
	else
		domainid = tempdomainid;

	// check if zero means for first time , so load values corresponding to 
	// domain id.
	
		settingid1.selectDefault(domainid);
	

	if(request.getParameter("hidorderdalias") != null)
		orderdalias = request.getParameter("hidorderdalias");

	if(request.getParameter("hidcolumnnamedalias") != null)
		columnnamedalias = request.getParameter("hidcolumnnamedalias");

		

%>
<jsp:useBean id = "LdapSet" scope = "session" class = "com.antispam.LdapSettings" />

<%

	LdapSet.setHiddomainid( domainid );
 
	LdapSet.registered();

	//Get servertype  and Ldap string From Domain Table
	
	
	String ldapString=LdapSet.getLdapString();
	String serverType=LdapSet.getServerType();
	
	if(ldapString==null || ldapString.equals(""))
		ldapString="Insert LDAP String";
	
	if(serverType==null || serverType.equals(""))
		serverType="NORMAL";
		
			

	%>

<HTML>
	<HEAD>
		<TITLE>LDAP Settings</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT id=valIp language=javascript src="scripts/IPVal.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/WebUIValidation.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>

	<script>
		      
		      var requester = null;   
				
		//FUNCTION  FOR  FIELD VALIDATION
		function chksettings()
		{			
			
			if(document.frmsettings.ldapString.value=="")
			{
				alert("Enter ldapString ");
				document.frmsettings.ldapString.focus();
			}
				else
			{
				document.frmsettings.action="interldapsettings.jsp"
				document.frmsettings.submit(); 
				
			}	
		}
		
		

		
	function setDisable() 
	{
	
		
		if(document.frmsettings.serverType.value == 'LDAP')
		{
			document.getElementById("ldap_data").style.display = 'block';
			document.getElementById("auto_data").style.display = 'none';
			document.getElementById("normal_data").style.display = 'none';
		}
		else if(document.frmsettings.serverType.value == 'AUTOSENSE')
		{
			
			document.getElementById("ldap_data").style.display = 'none';
			document.getElementById("auto_data").style.display = 'block';
			document.getElementById("normal_data").style.display = 'none';
		}
		else if(document.frmsettings.serverType.value == 'NORMAL')
		{
			document.getElementById("ldap_data").style.display = 'none';
			document.getElementById("auto_data").style.display = 'none';
			document.getElementById("normal_data").style.display = 'block';

		}
	}
			
	</script>
		
	<BODY >
		<FORM language=javascript method=post name=frmsettings onsubmit="chksettings();return false">
			<INPUT type=hidden name=hiddomainid value='<%=domainid%>'>
			<INPUT type=hidden name=hidserverType value="">
<table cellpadding=0 cellspacing=0 border=0 ><tr><td  colSpan=2>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><IMG src="images/img.gif" vspace=5 width="470" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Domain Settings_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
<!-- FOR SERVER ADMINISTRATOR ADMINID = 1 -->
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel  >
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold" ><A href="usermain.jsp">User</TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_Panel >
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="275">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="servermain.jsp">Server</TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
		
<!-- FOR DOMAIN ADMINISTRATOR ADMINID = 2 -->
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="41">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</A></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="60">
															<DIV class=header_active id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="1"></TD>
													<% }  %>
													</TR>    
													<TR>
														<TD colSpan=3 >
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="600">Working in Domain: <domain:domaininfo domain_id="<%= domainid %>" /></TD>
																		<TD align=right width="390"><font color="navy" class=gridrowlink onmouseover = "javascript:style.cursor='hand'" onclick="openHelp('help/DomainSettingsHelp.htm')" style="FONT-WEIGHT:bold"><u>Help</u></font>&nbsp;</TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2 ></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD width='10%'><!--For the menu--><!--Menu for Domain Admin-->
							<domain:domainmenu showCurrPage="11"></domain:domainmenu>
						</TD>
						<TD vAlign=top ><!--Main Section(Add to Whitelist)-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%" style="border-collapse: collapse" bordercolor="#111111">
								<TBODY>
									<TR class=2nd_grid_head>
										<TD width="100%">Edit Other Settings</TD>
									</TR>
									<TR>
										<TD width="100%">
											<TABLE border=0 cellPadding=0 cellSpacing=0 width='100%' style="border-collapse: collapse" bordercolor="#111111" >
												<TBODY>
													<TR class=generalbody-gray>
														<TD vAlign=top width="25%"></TD>
														<TD width="75%"></TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top width="25%">
                                                        <p align="left">Mail 
                                                        Host from:</TD>
														<TD width="75%" valign="top" >
														
                                                        <p align="left">
														
														<% String lstr_srvType =settingid1.getServerType(); %>

																			
																		<%	if (lstr_srvType == null )
																			{%> 
																			<SELECT class=Combox  name=serverType onChange="setDisable()">
																				<option value="LDAP" >LDAP</option>           
																				<option value="AUTOSENSE"  >AUTOSENSE</option>
																				<option value="NORMAL"  selected >NORMAL</option>
																			</select>
																			
																			<%} else{ %>		
																			<SELECT class=Combox  name=serverType onChange="setDisable()">
																				<option value="LDAP"  <%	if (lstr_srvType.equalsIgnoreCase("LDAP")) {%> selected <%}%> >LDAP</option>           
																				<option value="AUTOSENSE"  <%	if (lstr_srvType.equalsIgnoreCase("AUTOSENSE")) {%> selected <%}%> >AUTOSENSE</option>
																				<option value="NORMAL" <%	if (lstr_srvType.equalsIgnoreCase("NORMAL")) {%> selected <%}%> >NORMAL</option>
																			</select>
																			<%}%>
																			
																			&nbsp; 
                                                        Method to Determine Mail 
                                                        Host on which emails 
                                                        will be delivered:</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top width="25%"></TD>
														<TD width="75%"></TD>
													</TR>
													
													<TR class=generalbody>
														<TD vAlign=top width="25%">
                                                        &nbsp;</TD>
														<TD id='ldap_data' valign="top" width='75%'> 
														 <font size="1">
														
														
																												
														<INPUT class=textinpt  id=ldapString maxLength=120 name=ldapString size="16" value="<%=ldapString %>">
														   
														</font>
														   
														 Spamjadoo will query 
                                                         LDAP to&nbsp;get the mail 
                                                         host and will deliver 
                                                         the email to that email 
                                                         server.
														 <font size="1">
														
														
																												
                                            <font face="Times New Roman" size="1">
                                            Note:Leave Blank (OneSpace), if no value
                                            for any&nbsp; field</font><span style="font-size: 12.0pt; font-family: Times New Roman"> 
                                                        (</span><span style="font-family: Times New Roman"><font size="2">ip<b>:</b>port<b>:</b>baseddn<b>:</b>useradmin<b>:</b>userpass<b>:</b>authtype<b>:</b>dn<b>:</b>properties</font></span>)&nbsp;
                                                        
                                                        <p class="MsoNormal"> 
                                                         <!-- </p> -->
														   
														</font>
														   
														<td id='auto_data' style='display:none' valign="top" >
                                                   <!--     Spamjadoo will try to 
                                                        deliver email on&nbsp;each 
                                                        of&nbsp;the server configured 
                                                        on the domain settings 
                                                        page. Spamjadoo will 
                                                        reject the emails only 
                                                        after getting the 
                                                        failure to deliver on 
                                                        all the available 
                                                        servers -->
                                                        Currently Disabled
                                                        <br><br></td>														
														
														<td id='normal_data' style='display:none' valign="top" >
                                                        Spamjadoo will try to 
                                                        deliver email on one of 
                                                        all the servers 
                                                        configured on the domain 
                                                        settings page. Spamjadoo 
                                                        will reject the email 
                                                        instantly if it gets the 
                                                        rejction from the 
                                                        server. It will NOT try 
                                                        to deliver email on 
                                                        other available 
                                                        servers.&nbsp;(Recommended)<br><br> </td>
													
													</TR>
													<script> setDisable(); </script>   
													
												<!--	<TR class=generalbody-gray>
														<TD vAlign=top width="25%" align="left">
															
                                                        Auto Add Setting:
                                                            
															</TD>
														<% int i= settingid1.getAutoadd(); %>	
														<TD width="75%" colspan=3>
                                                        <input type="radio" value="1" name="autoadd"  <% if(i==1) {%>checked<%}%>    >When 
                                                        receipient is 
                                                        authenticated&nbsp; via SMTP<br>
                                                        <input type="radio" value="2" name="autoadd" <% if(i==2) {%>checked<%}%> >When 
                                                        server receives first 
                                                        email for the user. (No 
                                                        Authentication)<br>
                                                        <input type="radio" value="3" name="autoadd"  <% if(i==3) {%>checked<%}%> >When 
                                                        users send his first 
                                                        email&nbsp; through Spamjadoo 
                                                        server.<br>
                                                        <input type="radio" value="4" name="autoadd"  <% if(i==4) {%>checked<%}%> >Do not Add
                                                        </TD>
													</TR>	-->
													
													
													<TR class=generalbody>
														<TD vAlign=top width="25%">&nbsp;</TD>
														<TD width="75%"><br>
														<INPUT type = "submit" class=btn id=btnSave language=javascript name=btnsave onclick="chksettings();return false" style="WIDTH: 55px" value=Save>&nbsp; 
														<INPUT class=btn type= "reset" value=Reset name=btnreset> </TD>
													</TR>
													

													<TR class=generalbody>
															<%
															if(adminid==1)
															{
															%>
															<%
															}
															else
															{
															%>
														<TD width="25%">
														    </TD>
															<%
															}
															%>
													</TR>

													
													
														
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black height=1 width="100%"></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<%
}
%>