<%
/********************************************************************************/
/* Name			:	viewalias.jsp												*/
/* Copyright	:	2003 SATCOMLABS LTD.										*/
/* Team			:	Spam Control Team											*/
/* Developer	:	Pavan Gupta													*/
/* Last Updated	:	1.46 PM 10/01/2004											*/
/* Abstract		:	Shows list of all  Aliases									*/
/* Called from	: 	dashboard													*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int loginuserid = validate.getUserid();
int NumRec = 10;

if(loginuserid==0)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int aliasrecords = 0;
	int userid = 0;
	int tempuserid = validate.getTempuserid();
	int adminid = validate.getAdminid();
	int i = 0;
	String gridclass = "";
	String message = "";
	if(request.getParameter("returnval") != null)
		message = request.getParameter("returnval");

	if(tempuserid == 0)
		userid = loginuserid;
	else 
		userid = tempuserid;

	String order = "desc";
	String columnname = "alias_addr";
	if(request.getParameter("hidorder") != null)
		order = request.getParameter("hidorder");
	if(request.getParameter("hidcolumn") != null)
		columnname = request.getParameter("hidcolumn");

	int aliasminpage = 0;
	int aliasmin = 1;
	int aliasminimum = 1;
	if(request.getParameter("hidaliasminpage") != null &&!request.getParameter("hidaliasminpage").equals(""))
			aliasminpage = Integer.parseInt(request.getParameter("hidaliasminpage"));
	if(request.getParameter("hidaliasmin") != null &&!request.getParameter("hidaliasmin").equals(""))
			aliasmin = Integer.parseInt(request.getParameter("hidaliasmin"));
	if(request.getParameter("hidaliasminimum") != null &&!request.getParameter("hidaliasminimum").equals(""))
			aliasminimum = Integer.parseInt(request.getParameter("hidaliasminimum"));
	if(request.getParameter("txtNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("txtNumRec"));
%>
<HTML>
	<HEAD>
		<TITLE>View all Alias</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<!-- START SCRIPT -->
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<script language = "javascript">
		//FUNCTION FOR CHECK THAT AT LEAST ONE CHECKBOX SHOULD BE SELECTED
		function notChecked()
		{
			recordcount = document.FrmViewAlias.txtcount.value;
			var flag=false;
			if(recordcount == 0)
				alert ("No Record To Delete");
			else
			{
				var chkid = document.FrmViewAlias.chkaliasid;
				if(recordcount == 1)
				{
					if(chkid.checked == 1)
						flag = true;
				}
				else if (recordcount > 1)
				{
					for(i=0; i<chkid.length; i++)
					{
						if(chkid[i].checked == 1)
						{
							flag=true;
							break;
						}
					}
				}
				if(flag==false)
					alert("Please check at least one record");
				else
					document.FrmViewAlias.submit();
			}
		}

		//FUNCTION TO SORT RECORDS
		function sort(order,column)
		{
			document.FrmViewAlias.hidcolumn.value=column;
			document.FrmViewAlias.hidorder.value=order;
			document.FrmViewAlias.action="viewalias.jsp";
			document.FrmViewAlias.submit();
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			document.FrmViewAlias.hidaliasminpage.value=pageno;
			document.FrmViewAlias.hidaliasmin.value=min;
			document.FrmViewAlias.hidaliasminimum.value=min;
			document.FrmViewAlias.action="viewalias.jsp";
			document.FrmViewAlias.submit();
		}

		//FUNCTION TO SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			document.FrmViewAlias.hidaliasminimum.value=min;
			document.FrmViewAlias.hidNumRec.value=10;
			document.FrmViewAlias.action="viewalias.jsp";
			document.FrmViewAlias.submit();
		}

		function setFocus()
		{
			document.FrmViewAlias.cmdDelete.focus();
		}

		// FUNCTION FOR DELETING ALL RECORDS
		function checkAllDelete()
		{
			var i;
			recordcount = document.FrmViewAlias.txtcount.value;
			if(recordcount == 0)
			{}
				//chkall.style.display = 'none';
			else
			{
				var alldelete = document.FrmViewAlias.chkaliasid;
				if(recordcount == 1)
				{
					if(document.FrmViewAlias.chkalldelete.checked)
						alldelete.checked = true;
					else
						alldelete.checked = false;
				}
				else
				{
					if(document.FrmViewAlias.chkalldelete.checked)
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = true;
						}
					}
					else
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = false;
						}
					}
				}
			}
		}

	</script>
	<!-- END SCRIPT -->
	<BODY onload="setFocus()">
		<FORM action=deletealias.jsp method=post name=FrmViewAlias>
			<INPUT type="hidden" class=textinpt name="hidaliasminpage" value="<%=aliasminpage%>">
			<INPUT type="hidden" class=textinpt name="hidaliasmin" value="<%=aliasmin%>">
			<INPUT type="hidden" class=textinpt name="hidaliasminimum" value="<%=aliasminimum%>">
			<INPUT type="hidden" name="hidcolumn" value="<%=columnname%>">
			<INPUT type="hidden" name="hidorder" value="<%=order%>">
			<INPUT type="hidden" name="hidNumRec" value="<%=NumRec%>">
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--FOR THE HEADER IMAGE-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="436" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="View all Alias_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% } else if (adminid == 3) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%"></TD>
														<TD width="34%"></TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">
																			<spam:UserInfo userid="<%= loginuserid %>">
																				Logged in as: <%= username %>@<%=domainname%>
																			</spam:UserInfo>
																			<% if (userid != loginuserid) { %>
																				<spam:UserInfo userid="<%= tempuserid %>">
																					<%
																					if (username.equals("0"))
																					{}
																					else
																					{
																					%>
																						and working as: <%= username %>@<%=domainname%>
																					<%
																					}
																					%>
																				</spam:UserInfo>
																			<% } %>
																		</TD>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ViewAllAliasHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for User-->
							<spam:usermenu showCurrPage="11"></spam:usermenu>
						</TD>
						<TD vAlign=top><!--Main Section-->
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR>
										<TD>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR class=2nd_grid_head>
														<TD>
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=2nd_grid_head>
																		<TD align=left width="33.33%"><a class="sectionheadlink" href="addalias.jsp">Add Alias</a></TD>
																		<TD width="33.33%">View All Aliases</TD>
																		<TD width="33.33%">&nbsp;</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR>
														<TD vAlign=top width="100%">
															<TABLE border=1 cellPadding=0 cellSpacing=0 id=DGAlias rules=cols style="BORDER-BOTTOM: 1px solid; BORDER-COLLAPSE: collapse; BORDER-LEFT: 1px solid; BORDER-RIGHT: 1px solid; BORDER-TOP: 1px solid; WIDTH: 100%" height="16">
																<TBODY>
																	<TR class=2nd_griditem_head-ash>
																		<TD style="WIDTH: 88%">
																			<%if ((columnname.equals("alias_addr")) && (order.equals("desc"))){ %>
																				<a href="javascript:onclick=sort('asc','alias_addr')">Alias Address<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																			<% } else if ((columnname.equals("alias_addr")) && (order.equals("asc"))) { %>
																				<a href="javascript:onclick=sort('desc','alias_addr')">Alias Address<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																			<% } else { %>
																				<a href="javascript:onclick=sort('desc','alias_addr')">Alias Address</a>
																			<% } %>
																		</TD>
																		<TD style="WIDTH: 5%" height="7">Edit</TD>
																		<TD style='WIDTH: 7%'><p align="center"><INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"><br>Delete All</p></TD>
																	</TR>
<!-- VIEWING ALL ALIAS -->
																	<spam:AliasInfo minimum="<%=aliasminimum%>" userid="<%=userid%>" noofrec="0" column="<%=columnname%>" order="<%=order%>">
<% 
																	if (alias.equals("0"))
																	{}
																	else
																	{
																		i++;
																		if (i%2 != 0)
																			gridclass = "gridrow2";
																		else
																			gridclass = "gridrow1-ash";
%>
																		<TR class = "<%=gridclass%>">
																			<TD style="WIDTH: 88%"><%= alias %></TD>
																			<TD style="WIDTH: 5%"><A href="addalias.jsp?aliasid=<%=aliasid%>&alias=<%alias=alias.substring(0,alias.indexOf('@'));%><%=alias.substring(alias.lastIndexOf('.')+1)%>">Edit</A></TD>
																			<TD style="WIDTH: 7%" align=middle><INPUT type=checkbox class=chbox name=chkaliasid value=<%= aliasid %>></TD>
																		</TR>
<% 
																}
%>

																	</spam:AliasInfo>
																	<% aliasrecords = Expralias.intValue();	%>
																	<TR class='footer' align='Right' style='font-weight:bold;'>
																		<TD colspan='3' >
																			<utility:paging totalrecords="<%=aliasrecords%>" minpage="<%=aliasminpage%>" min="<%=aliasmin%>" pagingtype="alias" 
																			txtNumRec="<%=NumRec%>"/>
																		</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR>
														<TD align=middle>&nbsp;</TD>
													</TR>
													<TR>
														<TD align=middle><SPAN class=errMsg id=lblErr><%=message%></SPAN></TD>
													</TR>
													<TR>
														<TD>
															<CENTER>
																<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="notChecked(); return false">
															</CENTER>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
			<INPUT class=textInpt type=hidden name=txtcount value=<%=i%>>
		</FORM>
	</BODY>
</HTML>
<%
}
%>