#!/bin/bash

clear
echo "Executing SpamJadoo System Setup ...... "
echo "SpamJadoo Log Started on " `date` >install.log
# Change the Permission of install.log file
/bin/chmod 777 install.log

# Checking of Utility for querying DNS name servers
HOSTCHK=`rpm -qa | grep ^bind-utils | wc -l`

if [ $HOSTCHK -gt 0 ]; then
        echo "Found Utility for Querying DNS Name Servers..."
        echo "Found Utility for Querying DNS Name Servers...">>install.log
else
	echo "Utility for Querying DNS Name Servers is Not Found ....(Install bind-utils-9.2.2-1mdk.i586 rpm)"
        echo "Utility for Querying DNS Name Servers is Not Found ....(Install bind-utils-9.2.2-1mdk.i586 rpm)">>install.log
	sleep 2

fi

# Checking of Disk Space on Current Partition
DISKSPACE=`df -h spamjadoosetup.sh | grep dev | cut -f21 -d" " |cut -c1-2`

if [ $DISKSPACE -lt 10 ]; then
	echo "Insufficient Disk Space in current partition... Required 10GB atleast"
	echo "Insufficient Disk Space in current partition... Required 10GB atleast">>install.log
fi

# Checking of Memory
MEMINFO=`cat /proc/meminfo | grep MemTotal | cut -f8 -d " "`
if [ $MEMINFO -lt 250000 ]; then
	echo "Insufficient Memory... Required 256MB "
	echo "Insufficient Memory... Required 256MB ">>install.log
	
fi

sh setlocal.sh

echo "Executing crtdbusr.sh "
su postgres -c 'sh crtdbusr.sh' 

echo 
echo "Executing crtdbobj.sh "
#su spamjadoo -c 'sh crtdbobj.sh'
su postgres  -c 'sh crtdbobj.sh'

#rm crtdbobj.sh
#rm spamjadoosetup.sh
#rm setlocal.sh
#rm crtdbusr.sh
#rm setlocal.sh
#rm ../spamjadoo1.3.tar
#rm dropuserdb.sh
echo "SPAMJADOO VER3.0 SETUP COMPLETED ..."

