<%
/********************************************************************************/
/* Name			:-    ServerAddDomain.jsp				     		*/
/* Copyright    :-    2003 SATCOMLABS LTD.				     		*/
/* Team		    :-    Spam Controller 								*/
/* Author       :-    Shivraj Saini / Amit Kumar					*/
/* Last Updated :-    13/1/2004										*/
/* Abstract     :-    Update or insert domains      				*/
/* Called from  :-    Server Tab									*/
/* Calls        :-    interAddDomain.jsp						*/
/********************************************************************************/
%>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="server" uri="/WEB-INF/TLDS/server.tld" %>
<jsp:useBean id="adddomainid" scope="session" class="com.antispam.AddDomain"/>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int userid = validate.getUserid();
int adminid = validate.getAdminid();
if(userid==0 || adminid!=1)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	adddomainid.selectDefault();

	String message = "";
	if(request.getParameter("msg") != null)
		message = request.getParameter("msg");

	String validationlink = "http://"+request.getServerName()+":"+request.getServerPort()+"/validationcomplete.jsp";
%>

<HTML>
	<HEAD>
		<TITLE>Add Domain</TITLE>
		<LINK href="stylesheets/display_control.css" type=text/css rel=stylesheet>
	</HEAD>
	<SCRIPT language=javascript id=valIp src="scripts/ValidationScript.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript id=valIp src="scripts/validations.js"></SCRIPT>
	<SCRIPT language=javascript>

		//FUNCTION TO CHECK ALL VALIDATIONS ON THE FORM
		function chksettings()
		{

			smtpIP = document.FrmDomSettings.txtSMTP.value;
			popIP = document.FrmDomSettings.txtPOP.value;
			antivirusIP = document.FrmDomSettings.txtAnitvirus.value;
			if(smtpIP.indexOf(":") !=-1)
				smtpIP = smtpIP.substring(0,smtpIP.indexOf(":"));
			if(popIP.indexOf(":") !=-1)
				popIP = popIP.substring(0,popIP.indexOf(":"));
			if(antivirusIP.indexOf(":") !=-1)
				antivirusIP = antivirusIP.substring(0,antivirusIP.indexOf(":"));
			document.FrmDomSettings.txtDomainName.value=trim(document.FrmDomSettings.txtDomainName.value);

			smtpIP=trim(smtpIP);
			popIP=trim(popIP);
			antivirusIP=trim(antivirusIP);
			//document.FrmDomSettings.txtTransDomain.value=trim(document.FrmDomSettings.txtTransDomain.value);
			
			document.FrmDomSettings.txtValidationLink.value=trim(document.FrmDomSettings.txtValidationLink.value);
			document.FrmDomSettings.taSubject.value=trim(document.FrmDomSettings.taSubject.value);
			document.FrmDomSettings.txtuserallowed.value=trim(document.FrmDomSettings.txtuserallowed.value);
			
			if(document.FrmDomSettings.txtDomainName.value=="")
			{
				alert("Enter Domain Name");
				document.FrmDomSettings.txtDomainName.focus();
				
			}
			else if(spcharvalidate(document.FrmDomSettings.txtDomainName.value,"")==true)
			{
				alert("Speacial character found");
				document.FrmDomSettings.txtDomainName.focus();
				
			}
			
			else if(smtpIP=="")
			{
				alert("Enter SMTP IP");
				document.FrmDomSettings.txtSMTP.focus();
				
			}
			else if(chksmtpIP()==true)
			{
				document.FrmDomSettings.txtSMTP.focus();
				
			}	
			else if(popIP=="")
			{
				alert("Enter POP3 IP");
				document.FrmDomSettings.txtPOP.focus();
				
			}
			else if(chkverifyIP())
			{
				document.FrmDomSettings.txtPOP.focus();
				
			}
			/*
			else if(spcharvalidate(document.FrmDomSettings.txtTransDomain.value,"")==true)
			{
				alert("Special character found");
				document.FrmDomSettings.txtTransDomain.focus();
				
			}
			*/
			else if(antivirusIP=="")
			{
				alert("Enter Antivirus IP");
				document.FrmDomSettings.txtAnitvirus.focus();
				
			}
			else if(document.FrmDomSettings.txtuserallowed.value=="")
			{
				alert("Enter Number of Users Allowed");
				document.FrmDomSettings.txtuserallowed.focus();
				
			}
			/*else if(spcharvalidate(document.FrmDomSettings.txtuserallowed.value,"")==true)
			{
				alert("Special character found");
				document.FrmDomSettings.txtuserallowed.focus();
				
			}*/
			else if(isNaN(document.FrmDomSettings.txtuserallowed.value))
			{
				alert("Invalid value ! must be a number");
				document.FrmDomSettings.txtuserallowed.focus();
				return false;
			}
			else if(document.FrmDomSettings.txtuserallowed.value < 0)
			{
				alert("Invalid value ! must be a positive number");
				document.FrmDomSettings.txtuserallowed.focus();
				return false;
			}
			else if(verifyantiIP())
			{
				document.FrmDomSettings.txtAnitvirus.focus();
				
			}
			else if(document.FrmDomSettings.txtValidationLink.value=="")
			{
				alert("Enter Validation Link");
				document.FrmDomSettings.txtValidationLink.focus();
				
			}
			else if(document.FrmDomSettings.taSubject.value=="")
			{
				alert("Enter Email Subject");
				document.FrmDomSettings.taSubject.focus();
				
			}
			/*else if(spcharvalidate(document.FrmDomSettings.taSubject.value,"'")==true)
			{
				alert("Speacial character found");
				document.FrmDomSettings.taSubject.focus();
				
			}*/		
			else if(document.FrmDomSettings.taBody.value=="")
			{
				alert("Enter Email Body");
				document.FrmDomSettings.taBody.focus();
				
			}	
			else if(document.FrmDomSettings.taChallenge.value=="")
			{
				alert("Enter Challenge WebPage Content");
				document.FrmDomSettings.taChallenge.focus();
				
			}	
			else if(document.FrmDomSettings.taApproval.value=="")
			{
				alert("Enter Approval WebPage Content");
				document.FrmDomSettings.taApproval.focus();
				
			}	
			else if(document.FrmDomSettings.taAlready.value=="")
			{
				alert("Enter Already WebPage Content");
				document.FrmDomSettings.taAlready.focus();
				
			}	
			else if(document.FrmDomSettings.taFailed.value=="")
			{
				alert("Enter Failed WebPage Content");
				document.FrmDomSettings.taFailed.focus();
				
			}	
			else if(spcharvalidate(document.FrmDomSettings.txtuserallowed.value,"")==true)
			{
				alert("Special character found");
				document.FrmDomSettings.txtuserallowed.focus();
				
			}
			/*else if(document.FrmDomSettings.txtuserallowed.value != "")
			{
				if(document.FrmDomSettings.radRegistration[1].checked == true)
				{
						alert("Please choose Registration with Temp Id");
						document.FrmDomSettings.txtuserallowed.focus();
				}
				else
					{
						document.FrmDomSettings.submit(); 
					}	
								
			}*/
			else
			{
				document.FrmDomSettings.submit(); 
			}	

		}

		function chksmtpIP()
		{
				var arr = smtpIP.split(",");
				var i = 0;
				if(arr.length > 7)
				{
					alert("More Then seven IP addresses Are Not Allowed.");
					return true;
				}

				while(i < arr.length)
				{
					if(verifyIP(arr[i])==true)
					{
						return true;
					}
					i++;
				}
		}

		function chkverifyIP()
		{
				var arr = popIP.split(",");
				var i = 0;
				if(arr.length > 7)
				{
					alert("More Then seven IP addresses Are Not Allowed.");
					return true;
				}

				while(i < arr.length)
				{
					if(verifyIP(arr[i])==true)
					{
						return true;
					}
					i++;
				}
		}

		function verifyantiIP()
		{
				var arr = antivirusIP.split(",");
				var i = 0;

				if(arr.length > 7)
				{
					alert("More Then seven IP addresses Are Not Allowed.");
					return true;
				}

				while(i < arr.length)
				{
					if(verifyIP(arr[i])==true)
					{
						return true;
					}
					i++;
				}
		}


		function help()
		{
			window.open("help/ServerAddDomainHelp.htm","","toolbar=no")

		}
		function setFocus()
		{
			document.FrmDomSettings.txtDomainName.focus();
                        }
		 
		function fundomain()
		{
			document.FrmDomSettings.txtTransDomain.value = document.FrmDomSettings.txtDomainName.value;
		}
		function funpop()
		{
			document.FrmDomSettings.txtAnitvirus.value = document.FrmDomSettings.txtPOP.value;
		}

		function checkSPF()
		{
			var tbl = document.getElementById("tblspf");
			var tdofspf = document.getElementById("tdspf");
			if(document.FrmDomSettings.cmbspf.value=='y')
			{
				
				tbl.style.display = "";
				tdofspf.style.display = "";
			}
			else
			{
				tbl.style.display = "none";
				tdofspf.style.display = "none";
			}
		}
	</SCRIPT>

	<BODY onload="setFocus()">
<% 
	if (request.getParameter("retval") == null) {
		String retval = ""; }
%>
		<FORM id=FrmDomSettings name=FrmDomSettings  method=post action="interAddDomain.jsp">
			<INPUT type=hidden name=flag value="ADD">
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="470" height="48"></TD>
														<TD align=right vAlign=top width="48%"><img border="0" src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Add User_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header_active id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<spam:UserInfo userid="<%= userid %>">
																			<TD width="90%">Logged in as: <%= username %>@<%=domainname%> on Server: <%=request.getServerName()%></TD>
																		</spam:UserInfo>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ServerAddDomainHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Server Admin-->
							<server:servermenu showCurrPage="2" />
						</TD>
						<TD vAlign=top><!--Main Section(Add to Whitelist)-->
							<TABLE cellSpacing=2 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR class=2nd_grid_head>
										<TD width="100%">
											Add Domain
										</TD>
									</TR>
									<TR>
										<TD>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR class=generalbody-gray>
														<TD vAlign=top width="20%">
															Domain Name:
														</TD>
														<TD>
															<INPUT class=textinpt id=addDom_txtDomainName style="WIDTH: 351px" maxLength=50 name=txtDomainName size="20">&nbsp;
														</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top width="20%">
															Outbound HOP:
														</TD>
														<TD>
															IP address of the server that will accept outgoing SMTP email from this server: <INPUT class=textinpt id=addDom_txtSMTP maxLength=120 name=txtSMTP size="20">&nbsp;
															<SELECT class=Combox name=outssl>
														<option value= ":25:N">Normal </option>           
														<option value= ":465:S">SSL </option>
														</select>
														</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top>
															Inbound HOP:
														</TD>
														<TD>
															IP address of the POP3 server that will accept incoming email from this server: <INPUT class=textinpt id=addDom_txtPOP maxLength=120 name=txtPOP size="20" onblur="funpop()">&nbsp;
															<SELECT class=Combox  name=inssl>
														<option value= ":25:N">Normal </option>           
														<option value= ":465:S">SSL </option>
														</select>
														</TD>
													</TR>
													<!--
													<TR class=generalbody>
														<TD vAlign=top>
															Transformation To:
														</TD>
														<TD>
															Domain Name to be Transformed:<br>
															<INPUT class=textinpt id=addDom_txtTransDomain maxLength=50 name=txtTransDomain size="20">&nbsp;
														</TD>
													</TR> -->
													<TR class=generalbody-gray>
														<TD vAlign=top>
															Authentication Server:
														</TD>
														<TD>
															IP address of the Authentication server: <INPUT class=textinpt id=addDom_txtAntivirus maxLength=120 name=txtAnitvirus size="20">&nbsp;
															<SELECT class=Combox name=authssl>
														<option value= ":25:N">Normal </option>           
														<option value= ":465:S">SSL </option>
														</select>
														</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>
															Max Number of Users:
														</TD>
														<TD><INPUT class=textinpt id=addDom_txtuserallowed maxLength=10 name=txtuserallowed size="10" value="<%=adddomainid.getTaMaxu()%>" >&nbsp;(For Unlimited Users Type 0)
														</TD>
													</TR>                                                                                                      <TR class=generalbody-gray>
														<TD vAlign=top>Auto Deletion of unvalidated senders:                                                                                        </TD>                                           <TD>                                                                                             <SELECT class=Combox name=cmbb >                                                                                                            <option value= 15 selected>15 days</option>   <option value=30>30 days</option>      <option value=60>60 days</option>            <option value=auto>auto</option>    
														</select>
														</TD>
														</TR>

													<!--
													<TR class=generalbody-gray>
														<TD vAlign=top>
															New User Registration:
														</TD>
														<TD>
															New User should Register by using the following Method:
														</TD>
													</TR>
													<TR class=generalbody>
														<TD>&nbsp;</TD>
														<TD>
															<TABLE cellSpacing=0 cellPadding=0 width="100%" align=center border=0>
																<TBODY>
																	<TR class=generalbody>
																		<TD vAlign=top>
																			<INPUT id=addDom_radtemp type=radio value=tempid name=radRegistration>
																			<LABEL for=addDom_radtemp>Temp Id.</LABEL>
																		</TD>
																		<TD>
																			Registration with Temp Id and Email Address(POP authentication). 
																		</TD>
																	</TR>
																	<TR class=generalbody>
																		<TD vAlign=top>
																			<INPUT id=addDom_raduser type=radio CHECKED value=emailid name=radRegistration>
																			<LABEL for=addDom_raduser>Email Id.</LABEL>
																		</TD>
																		<TD>
																			Registration with only Email Address(POP authentication).
																		</TD>
																	</TR>

																</TBODY>
															</TABLE>
														</TD>
													</TR> -->
													<TR class=generalbody>
														<TD vAlign=top>
															Validation:
														</TD>
														<TD>
															How do you want to handle email that is sent to an address that is not present on Spam Jadoo Server?
														</TD>
													</TR>
													
													<TR class=generalbody>
														<TD>&nbsp;</TD>
														<TD>
															<TABLE cellSpacing=0 cellPadding=0 width="100%" align=center border=0>
																<TBODY>
																	<TR class=generalbody>
																		<TD vAlign=top>
																			<INPUT id=addDom_radSMTP type=radio CHECKED value=SMTP name=radValidation>
																			<LABEL for=addDom_radSMTP><Strong>SMTP.</Strong> Attempt to validate the destination email address against the incoming POP3 server specified above. If the POP3 server will accept the address, then accept the incoming email, otherwise reject the incoming email with a "no such user" error message.</LABEL>
																		</TD>
																	</TR>
																	<TR class=generalbody>
																		<TD vAlign=top>
																			<INPUT id=addDom_radBounce type=radio value=Bounce name=radValidation>
																			<LABEL for=addDom_radBounce><Strong>Bounce.</Strong> Reject the incoming email with a "no such user" error message.</LABEL>
																		</TD>
																	</TR>
																	<TR class=generalbody>
																		<TD vAlign=top>
																			<INPUT id=addDom_radForward type=radio value=Forward name=radValidation>
																			<LABEL for=addDom_radForward><Strong>Forward.</Strong> Perform no further checks and unconditionaly forward the Email to the POP3 Server</LABEL>
																		</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top>
															Allow External:
														</TD>
														<TD>
															How would you like to handle inbound email from outside your network that is addressed to be from your domain?
														</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD>&nbsp;</TD>
														<TD>
															<TABLE cellSpacing=0 cellPadding=0 width="100%" align=center border=0>
																<TBODY>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT id=addDom_radtemp type=radio value="T" name=radAllowExternal >
																			<LABEL for=addDom_radtemp><Strong>Allow.</Strong> Accept inbound email addressed to be from our domain to come from anywhere and subject them to the same rules as any other external email.</LABEL>
																		</TD>
																	</TR>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT id=addDom_raduser type=radio value="F" name=radAllowExternal CHECKED>
																			<LABEL for=addDom_raduser><Strong>Reject.</Strong> Only accept inbound email addressed to be from our domain to come from our network.</LABEL>
																		</TD>
																	</TR> 
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top> Set Defualt Domain for Postmaster Literal Mails: </TD>
														<TD valign=top>
															<INPUT type=radio value="T" name=radDefaultDomain> YES &nbsp;&nbsp;
															<INPUT type=radio value="F" name=radDefaultDomain CHECKED> NO
														</TD>
													</TR>

													<TR class=generalbody-gray>
														<TD vAlign=top> Override user challenge/response
														<TD valign=top>
															<INPUT type=radio value="yes" name=radOverridechallenge > YES &nbsp;&nbsp;
															<INPUT checked type=radio value="no" name=radOverridechallenge> NO
														</TD>
													</TR>

													<TR class=generalbody>
														<TD vAlign=top> Authentication Scheme: </TD>
														<TD valign=top>
															<INPUT checked type=radio value=0 name=radAuthscheme>UserName@DomainName&nbsp;&nbsp;
															<INPUT type=radio value=1 name=radAuthscheme>UserName Only
														</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top> Block Incoming Mails</TD>
														<TD valign=top>
															<input type="radio" name="radBlockincoming" value="YES">Yes&nbsp;&nbsp;&nbsp;
                                                            <input type="radio" name="radBlockincoming" value="NO" checked="true">No</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>	Validation Link: </TD>
														<TD>
															<INPUT class=textinpt id=addDom_txtValidationLink style="WIDTH: 221px" name=txtValidationLink size="20" maxLength=250 value="<%=validationlink%>">&nbsp;&nbsp;
														</TD>
													</TR>

													<TR class=generalbody-gray>
														<TD vAlign=top>Auto Deletion of unvalidated senders:</td> <td>
														<SELECT class=Combox name=cmbb>                             <option value= 15>15 days</option>                          <option value=30>30 days</option>                           <option value= 60>60 days</option>                          <option value= auto>auto</option>                           </select>
														</td>
														</TR>

														<TR class=generalbody>
															<TD vAlign=top>Passive mode:</td>
															<TD>Insert text <INPUT class=textinpt id=txtPassiveTxt name=txtPassiveTxt style="WIDTH: 150px" size="20"> to Beginning or End of subject line.
															</TD> 
														</TR>
														
														<TR class=generalbody-gray>
														<TD vAlign=top>Quarantine Time:</TD>
														<TD> Delete mail after
														<SELECT class=Combox name=cmbageing>                       <option value=1>1 Day</option>                         <option value=2>2 Days</option>                          <option value=3>3 Days</option>                         
														<option value=4>4 Days</option>
														<option value=5>5 Days</option>
														<option value=6>6 Days</option>
														<option value=7>7 Days</option>
														<option value=8>8 Days</option>
														<option value=9>9 Days</option>
														<option value=10>10 Days</option>
														</select> from quarantine folder.   
														</TD>
													</TR>

													<TR class=generalbody>
														<TD vAlign=top>Dashboard login using:</TD>
														<TD>
														<SELECT class=Combox name=cmbAuthScheme>
														<option value= "n">Normal (110)</option>           
														<option value= "s">SSL (995)</option>
														</select>
														Authentication
														</TD>
														</TR>

														<TR class=generalbody-gray>
														<TD vAlign=top>SPF Enabled:</TD>
														<TD>
														<SELECT class=Combox name=cmbspf onclick="checkSPF()">       <option value= "y">Yes</option>           
														<option value= "n">No</option>
														</select>
														</TD>
														</TR>

														
														<TR class=generalbody-gray>
														<TD vAlign=top id=tdspf>If SPF Returns:</TD>
														<TD>
														<TABLE id=tblspf>
														<TR class=generalbody-gray>
														<TD>PASS:</TD>
														<TD>
														<input type="radio" name="radSPFPass" value="+">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFPass" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 FAIL:</TD>
														 <TD>
														 <input type="radio" name="radSPFFail" value="-">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFFail" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 NEUTRAL:</TD>
														 <TD><input type="radio" name="radSPFNeutral" value="?">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFNeutral" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 SOFTFAIL:</TD>
														 <TD><input type="radio" name="radSPFSoftfail" value="~">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFSoftfail" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 ERROR:</TD>
														 <TD><input type="radio" name="radSPFError" value="error">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFError" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 NONE:</TD>
														 <TD><input type="radio" name="radSPFNone" value="none">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFNone" value=" ">Reject
														</TD></TR></TABLE>
														</TD>
														</TR>

														<TR class=generalbody>
														<TD vAlign=top>Greylist:</td>                              <td>After the first 450 (mailbox temporarily unavailable) response to the senders server, if sender server retries     <SELECT class=Combox name=gstart>                           <option value= "5">5</option>           
														<option value= "10">10</option>
														<option value= "15">15</option>
														<option value= "20">20</option>
														<option value= "25">25</option>
														<option value= "30">30</option>
														<option value= "35">35</option>
														<option value= "40">40</option>
														<option value= "45">45</option>
														<option value= "50">50</option>
														<option value= "55">55</option>
														<option value= "60">60</option>
														</select>
														minutes and before
														<SELECT class=Combox name=gstop>                           <option value= "60">60</option>           
														<option value= "90">90</option>
														<option value= "120">120</option>
														<option value= "150">150</option>
														<option value= "180">180</option>
														<option value= "210">210</option>
														<option value= "240">240</option>
														</select>
														minutes , the email will be received and delivered to recipient.
														</td>
													</TR>	

			
													<TR class=generalbody>
														<TD vAlign=top>	Email Subject: </TD>
														<TD>
															<INPUT class=textInpt id=addDom_taSubject style="WIDTH: 382px" maxLength=255 name=taSubject size="20" value="<%=adddomainid.getTaSubject()%>">&nbsp;&nbsp;
														</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top>	Email Body:	</TD>
														<TD>
															<TEXTAREA class=txtArea id=addDom_taBody  style="WIDTH: 386px" name=taBody rows=5 cols="20"><%=adddomainid.getTaBody()%></TEXTAREA>&nbsp;
														</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>	Challenge WebPage Contents:	</TD>
														<TD>
															<TEXTAREA class=txtArea id=addDom_taChallenge  style="WIDTH: 386px" name=taChallenge rows=5 cols="20"><%=adddomainid.getTaChallenge()%></TEXTAREA>&nbsp;&nbsp;
														</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top> Approval WebPage Contents: </TD>
														<TD>
															<TEXTAREA class=txtArea id=addDom_taApproval style="WIDTH: 387px" name=taApproval rows=5 cols="20"><%=adddomainid.getTaApproval()%></TEXTAREA>&nbsp;
														</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>	Already in WebPage Contents: </TD>
														<TD>
															<TEXTAREA class=txtArea id=addDom_taAlready  style="WIDTH: 388px" name=taAlready rows=5 cols="20"><%=adddomainid.getTaAlready()%></TEXTAREA>&nbsp;
														</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top> Failed WebPage Contents:	</TD>
														<TD>
															<TEXTAREA class=txtArea id=addDom_taFailed  style="WIDTH: 389px" name=taFailed rows=5 cols="20"><%=adddomainid.getTaFailed()%></TEXTAREA>&nbsp;
														</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top> Comments: </TD>
														<TD>
															<TEXTAREA class=txtArea id=addDom_taComments style="WIDTH: 390px" name=taComments rows=5 cols="20"></TEXTAREA>
														</TD>
													</TR>
													<TR>
														<TD height=31></TD>
														<TD height=31><font size=2 color=red><%=message%></font><BR></TD>
													</TR>
													<TR class=generalbody>
														<TD></TD>
														<TD><BR>
															<INPUT class=btn id=addDom_btnSave style="WIDTH: 55px"  type=submit value=Create name=create onclick="chksettings(); return false">&nbsp; 
															<INPUT class=btn type="reset" value=Reset name=btnreset>
														</TD>
													</TR>
												</TBODY>
											</TABLE>      
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD width="100%" bgColor=black colSpan=2 height=1></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<%
}
%>