<%
/********************************************************************************/
/* Name			:	editkeymail.jsp												*/
/* Copyright	:	2003 SATCOMLABS LTD.										*/
/* Team			:	Spam Control Team											*/
/* Developer	:	Pavan Gupta													*/
/* Last Updated	:	1.42 PM 10/01/2004											*/
/* Abstract		:	Update KEymail Address										*/
/* Called from	: 	dashboard													*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<jsp:useBean id = "mykeymail" scope="page" class="com.antispam.AddKeymail" />
<%
String Domainname = "";
int loginuserid = validate.getUserid();
if(loginuserid==0)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int userid = 0;
	int tempuserid = validate.getTempuserid();
	int adminid = validate.getAdminid();
	String keymailid = request.getParameter("val");

	if(tempuserid == 0)
		userid = loginuserid;
	else 
		userid = tempuserid;

	String message = "";
	if(request.getParameter("msg") != null)
		message = request.getParameter("msg");
%>
<jsp:setProperty name="mykeymail" property="oldkeymailid" value="<%= keymailid%>" />
<% mykeymail.selectKeymail(); 
%>
<HTML>
	<HEAD>
		<TITLE>Edit Keymail</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT language=javascript src="scripts/web_uivalidation.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<script language=javascript>
		var policyDetails = new Array(8);

		//FUNCTION TO CHECK ALL VALIDATION ON THE FORM
		function chkValidation()
		{
			if(isBlank(document.frmeditkeymail.txtallowsenders) == "1")
			{
				alert("Senders allowed can not be blank");
				document.frmeditkeymail.txtallowsenders.focus();
				return false;
			}
			else if(chkSplChar(document.frmeditkeymail.txtallowsenders.value) == "false")
			{
				alert("Special Characters are not allowed");
				document.frmeditkeymail.txtallowsenders.focus();
				return false;
			}
			else if(isNaN(document.frmeditkeymail.txtallowsenders.value))
			{
				alert("Invalid value ! must be a number");
				document.frmeditkeymail.txtallowsenders.focus();
				return false;
			}
			else if(isBlank(document.frmeditkeymail.txtallowdays))
			{
				alert("No of Expiration Days can not be blank");
				document.frmeditkeymail.txtallowdays.focus();
				return false;
			}
			else if(chkSplChar(document.frmeditkeymail.txtallowdays.value) == "false")
			{
				alert("Special Characters are not allowed");
				document.frmeditkeymail.txtallowdays.focus();
				return false;
			}
			else if(isNaN(document.frmeditkeymail.txtallowdays.value))
			{
				alert("Invalid value ! must be a number");
				document.frmeditkeymail.txtallowdays.focus();
				return false;
			}
			else
				document.frmeditkeymail.submit();
		}

		function chkSenders()
		{
			if(document.frmeditkeymail.optlimit[0].checked)
			{
				document.frmeditkeymail.txtallowsenders.disabled=true;
				document.frmeditkeymail.txtallowsenders.value="0";
			}
			else
				document.frmeditkeymail.txtallowsenders.disabled=false;

			if(document.frmeditkeymail.optexpire[0].checked)
			{
				document.frmeditkeymail.txtallowdays.disabled=true;
				document.frmeditkeymail.txtallowdays.value="0";
				document.frmeditkeymail.optfrom[0].disabled = true;
				document.frmeditkeymail.optfrom[1].disabled = true;
			}
			else if(document.frmeditkeymail.optexpire[1].checked)
			{
				document.frmeditkeymail.txtallowdays.disabled=false;
				document.frmeditkeymail.optfrom[0].disabled = false;
				document.frmeditkeymail.optfrom[1].disabled = false;
			}
		}

		function changeStatus()
		{
			if(document.frmeditkeymail.cmbstatus[1].checked || document.frmeditkeymail.cmbstatus[3].checked)
			{
				document.frmeditkeymail.optlimit[0].disabled=true;
				document.frmeditkeymail.optlimit[1].disabled=true;	
				document.frmeditkeymail.optscope[0].disabled=true;
				document.frmeditkeymail.optscope[1].disabled=true;
				document.frmeditkeymail.optscope[2].disabled=true;
				document.frmeditkeymail.optexpire[0].disabled=true;
				document.frmeditkeymail.optexpire[1].disabled=true;
				document.frmeditkeymail.optfrom[0].disabled=true;
				document.frmeditkeymail.optfrom[1].disabled=true;
				document.frmeditkeymail.txtallowsenders.disabled=true;
				document.frmeditkeymail.txtallowdays.disabled=true;
			}
			else if(document.frmeditkeymail.cmbstatus[2].checked)
			{
				document.frmeditkeymail.optlimit[0].disabled=false;
				document.frmeditkeymail.optscope[0].disabled=false;
				document.frmeditkeymail.optscope[1].disabled=false;
				document.frmeditkeymail.optscope[2].disabled=false;
				document.frmeditkeymail.optexpire[0].disabled=false;
				document.frmeditkeymail.optexpire[1].disabled=false;
				document.frmeditkeymail.optfrom[0].disabled=false;
				document.frmeditkeymail.optfrom[1].disabled=false;
				document.frmeditkeymail.optlimit[1].disabled=true;
				document.frmeditkeymail.optlimit[0].checked=true;
				document.frmeditkeymail.optlimit[1].checked=false;
				if(document.frmeditkeymail.optexpire[0].checkes)
					document.frmeditkeymail.txtallowdays.disabled=true;
				else
					document.frmeditkeymail.txtallowdays.disabled=false;
				
				chkSenders();
			}
			else if(document.frmeditkeymail.cmbstatus[0].checked)
			{
				document.frmeditkeymail.optlimit[0].disabled=false;
				document.frmeditkeymail.optlimit[1].disabled=false;	
				document.frmeditkeymail.optscope[0].disabled=false;
				document.frmeditkeymail.optscope[1].disabled=false;
				document.frmeditkeymail.optscope[2].disabled=false;
				document.frmeditkeymail.optexpire[0].disabled=false;
				document.frmeditkeymail.optexpire[1].disabled=false;
				document.frmeditkeymail.optfrom[0].disabled=false;
				document.frmeditkeymail.optfrom[1].disabled=false;
				chkSenders();
			}
		}
		function selectedValue()
		{
			
			exptype = '<%=mykeymail.getExpirationtype()%>';
			exptype = strTrim (exptype);
			expdays = <%=mykeymail.getExpirationdays()%>;
			document.frmeditkeymail.cmbstatus[<%= mykeymail.getStatusid()-1 %>].checked = true;
			document.frmeditkeymail.changekeymail[<%= mykeymail.getReplacekeymail() %>].checked = true;
			document.frmeditkeymail.cmbpolicy.value=<%=mykeymail.getPurposeid()%>;
			
			if(<%=mykeymail.getMaxlimit()%> < 0)
				document.frmeditkeymail.optlimit[0].checked = true;
			else
			{
				document.frmeditkeymail.optlimit[1].checked = true;
				document.frmeditkeymail.txtallowsenders.value = <%=mykeymail.getMaxlimit()%>;
			}

			if(<%=mykeymail.getApprovalid()%> == 1)
				document.frmeditkeymail.optscope[0].checked = true;
			else if(<%=mykeymail.getApprovalid()%> == 2)
				document.frmeditkeymail.optscope[1].checked = true;
			else if(<%=mykeymail.getApprovalid()%> == 3)
				document.frmeditkeymail.optscope[2].checked = true;

			if(exptype == "N/A")
				document.frmeditkeymail.optexpire[0].checked = true;
			else if(exptype == "A")
			{
				document.frmeditkeymail.optexpire[1].checked = true;
				document.frmeditkeymail.optfrom[0].checked = true;
				document.frmeditkeymail.optfrom[1].checked = false;
				document.frmeditkeymail.txtallowdays.value = expdays;
			}
			else if(exptype == "R")
			{
				document.frmeditkeymail.optexpire[1].checked = true;
				document.frmeditkeymail.optfrom[0].checked = false;
				document.frmeditkeymail.optfrom[1].checked = true;
				document.frmeditkeymail.txtallowdays.value = expdays;
			}

			document.frmeditkeymail.txtcomment.value="<%=mykeymail.getComments()%>";
			chkSenders();
		}
		// OPEN NEW VINDOW
		function openHelp(pageurl)
		{
			URL=pageurl;
			eval("page = window.open(URL, '', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=459,height=405');");
		}

		// Function for Setting Radio Button Values According to the Drop Down List Selected
		function changeSetting()
		{
			keypolicy = document.frmeditkeymail.cmbpolicy;
			keyvalue = keypolicy.options[keypolicy.selectedIndex].value;
			if (keyvalue == 1 || keyvalue == 8)
			{
				document.frmeditkeymail.optlimit[0].checked=true;
				document.frmeditkeymail.txtallowsenders.disabled=true;
				document.frmeditkeymail.txtallowdays.disabled=true;
				document.frmeditkeymail.txtallowsenders.value=(policyDetails[keyvalue-1][4] == -1 ? 0 : policyDetails[keyvalue-1][4]);
				document.frmeditkeymail.txtallowdays.value=(policyDetails[keyvalue-1][3] == -1 ? 0 : policyDetails[keyvalue-1][3]);
				document.frmeditkeymail.optscope[policyDetails[keyvalue-1][5]-1].checked=true;
				document.frmeditkeymail.optexpire[0].checked=true;
				document.frmeditkeymail.optfrom[0].disabled=true;
				document.frmeditkeymail.optfrom[1].disabled=true;
				document.frmeditkeymail.optfrom[1].checked=true;
			}
			if (keyvalue == 2 || keyvalue == 4)
			{
				document.frmeditkeymail.optlimit[1].checked=true;
				document.frmeditkeymail.txtallowsenders.disabled=false;
				document.frmeditkeymail.txtallowsenders.value=(policyDetails[keyvalue-1][4] == -1 ? 0 : policyDetails[keyvalue-1][4]);
				document.frmeditkeymail.txtallowdays.value=(policyDetails[keyvalue-1][3] == -1 ? 0 : policyDetails[keyvalue-1][3]);
				document.frmeditkeymail.optscope[policyDetails[keyvalue-1][5]-1].checked=true;
				document.frmeditkeymail.optexpire[0].checked=true;
				document.frmeditkeymail.optfrom[0].disabled=true;
				document.frmeditkeymail.optfrom[1].disabled=true;
				document.frmeditkeymail.optfrom[1].checked=true;
			}
			if (keyvalue == 3)
			{
				document.frmeditkeymail.optlimit[1].checked=true;
				document.frmeditkeymail.txtallowsenders.disabled=false;
				document.frmeditkeymail.txtallowsenders.value=(policyDetails[keyvalue-1][4] == -1 ? 0 : policyDetails[keyvalue-1][4]);
				document.frmeditkeymail.txtallowdays.value=(policyDetails[keyvalue-1][3] == -1 ? 0 : policyDetails[keyvalue-1][3]);
				document.frmeditkeymail.optscope[policyDetails[keyvalue-1][5]-1].checked=true;
				document.frmeditkeymail.optexpire[0].checked=true;
				document.frmeditkeymail.optfrom[0].disabled=true;
				document.frmeditkeymail.optfrom[1].disabled=true;
				document.frmeditkeymail.optfrom[1].checked=true;
			}
			if (keyvalue == 5)
			{
				document.frmeditkeymail.optlimit[1].checked=true;
				document.frmeditkeymail.txtallowsenders.disabled=false;
				document.frmeditkeymail.txtallowsenders.value=(policyDetails[keyvalue-1][4] == -1 ? 0 : policyDetails[keyvalue-1][4]);
				document.frmeditkeymail.txtallowdays.value=(policyDetails[keyvalue-1][3] == -1 ? 0 : policyDetails[keyvalue-1][3]);
				document.frmeditkeymail.optscope[policyDetails[keyvalue-1][5]-1].checked=true;
				document.frmeditkeymail.optexpire[0].checked=true;
				document.frmeditkeymail.optfrom[0].disabled=true;
				document.frmeditkeymail.optfrom[1].disabled=true;
				document.frmeditkeymail.optfrom[1].checked=true;
			}
			if (keyvalue == 6)
			{
				document.frmeditkeymail.optlimit[1].checked=true;
				document.frmeditkeymail.txtallowsenders.disabled=false;
				document.frmeditkeymail.txtallowsenders.value=(policyDetails[keyvalue-1][4] == -1 ? 0 : policyDetails[keyvalue-1][4]);
				document.frmeditkeymail.txtallowdays.value=(policyDetails[keyvalue-1][3] == -1 ? 0 : policyDetails[keyvalue-1][3]);
				document.frmeditkeymail.optscope[policyDetails[keyvalue-1][5]-1].checked=true;
				document.frmeditkeymail.optexpire[0].checked=true;
				document.frmeditkeymail.optfrom[0].disabled=true;
				document.frmeditkeymail.optfrom[1].disabled=true;
				document.frmeditkeymail.optfrom[1].checked=true;
			}
			if (keyvalue == 7)
			{
				document.frmeditkeymail.optlimit[0].checked=true;
				document.frmeditkeymail.txtallowsenders.disabled=true;
				document.frmeditkeymail.txtallowsenders.value=(policyDetails[keyvalue-1][4] == -1 ? 0 : policyDetails[keyvalue-1][4]);
				document.frmeditkeymail.txtallowdays.value=(policyDetails[keyvalue-1][3] == -1 ? 0 : policyDetails[keyvalue-1][3]);
				document.frmeditkeymail.optscope[policyDetails[keyvalue-1][5]-1].checked=true;
				document.frmeditkeymail.optexpire[1].checked=true;
				document.frmeditkeymail.txtallowdays.disabled=false;
				document.frmeditkeymail.optfrom[0].disabled=false;
				document.frmeditkeymail.optfrom[1].disabled=false;
				document.frmeditkeymail.optfrom[1].checked=true;
			}
		}

	</script>
	<BODY onload="selectedValue();chkSenders();changeStatus()">
		<FORM action=intereditkeymail.jsp method=post name=frmeditkeymail>
			<INPUT type = hidden name = hiddenkeymail value=<%= keymailid %>>
			<INPUT type = hidden name =flag  value="UPDATE">
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="436" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Add Keymail_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% } else if (adminid == 3) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%"></TD>
														<TD width="34%"></TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">
																			<spam:UserInfo userid="<%= loginuserid %>">
																				Logged in as: <%= username %>@<%=domainname%>
																			<%
																				Domainname = domainname;
																			%>
																			</spam:UserInfo>
																			<% if (userid != loginuserid) { %>
																				<spam:UserInfo userid="<%= tempuserid %>">
																				<% if (username.equals("0")) {} else { %>
																					and working as: <%= username %>@<%=domainname%>
																				<% } %>
																				</spam:UserInfo>
																			<% } %>
																		</TD>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/addKeymailHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for User-->
							<spam:usermenu showCurrPage="0"></spam:usermenu>
						</TD>
						<TD align=middle vAlign=top><!--Main Section-->
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR class=2nd_grid_head>
										<TD colSpan=2>Edit Keymail</TD>
									</TR>
									<TR>
										<TD align=left class=generalbody colSpan=2>
											<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table1 width="100%"><TBODY>
												<TR class=generalbody-gray>
													<TD width="30%">Keymail Address:</TD>
													<TD colSpan=2 width="70%"><b><%= keymailid %></b></TD>
												</TR>
												<TR class=generalbody>
													<TD width="30%">Status:</TD>
													<TD colSpan=2 width="70%">
														<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
															<spam:StatusInfo domainname="<%= Domainname%>">
																<TR class=generalbody>
																	<TD>
																		<input type="radio" class="radio" name="cmbstatus" value="<%= statusid %>" onclick="changeStatus()">
																	</TD>
																	<TD>
																		<STRONG><%= status %></STRONG>:<%=comments%>
																	</TD>
																</TR>
															</spam:StatusInfo>
														</TABLE>
													</TD>
												</TR>
												<TR class=generalbody-gray>
														<TD width="30%">What will this KeyMail be used for?</TD>
														<TD colSpan=2 width="70%">
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TR class=generalbody-gray>
																	<TD>
																		<%  int i=0; %>
																		<SELECT class=Combox name=cmbpolicy onChange="changeSetting()">
																		<spam:PolicyInfo>
																			<script>
																				policyDetails[<%= i %>] = new Array('<%= purposeid %>', '<%= purpose %>','<%= default_type %>','<%= default_days %>','<%= default_limit %>','<%= default_approvalid %>','<%= default_statusid %>'); 
																			</script>
																			<OPTION  value=<%= purposeid %>> <%= purpose %></OPTION>
																			<% i++; %>
																		</spam:PolicyInfo>
																		</SELECT>
																	</TD>
																	<TD>Making a choice here will automatically set policy details for you below.
																	</TD>
																</TR>
															</TABLE>
														</TD>
													</TR>
												<TR class=generalbody>
													<TD colSpan=3 width="100%">
														<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table2 width="100%">
															<TBODY>
																<TR>
																	<TD colSpan=2><BR></TD>
																</TR>
																<TR class=generalbody>
																	<TD colSpan=2 style="HEIGHT: 13px"><STRONG>Policy Details</STRONG><br>
																		Note: By already selecting what you want to use this KeyMail for (above), the 
																		Policy details are set for you automatically and you can skip this section. 
																		Edit Policy details when you want to override the settings or create a custom 
																		policy.</TD>
																</TR>
																<TR class=generalbody-gray>
																<% int i_maxLimit = 0;
																 	try{Integer.parseInt(request.getParameter("maxlimit")); if (i_maxLimit<0) { i_maxLimit=0;}  }catch(Exception e) {}
																	
																 %>
																
																	<TD width="30%">&nbsp;&nbsp;&nbsp; Max # of Senders Allowed:<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (Used : <%= i_maxLimit %>) </TD>
																	<TD width="70%">
																		<SPAN class=radio>
																			<INPUT CHECKED name=optlimit type=radio value=unlimited onclick="chkSenders()">
																		</SPAN>Unlimited<BR>
																		<SPAN class=radio>
																			<INPUT name=optlimit type=radio value=limited onclick="chkSenders()">
																		</SPAN>No more than
																		<INPUT class=textinpt maxLength=5 name=txtallowsenders size=5 value=0>
																		<SPAN id=CustKeyMl_ReqValAllowNo style="COLOR: red; DISPLAY: none" initialvalue="" evaluationfunction="RequiredFieldValidatorEvaluateIsValid" errormessage="Required Field" controltovalidate="CustKeyMl_txtAllowNo" display="Dynamic">
																			Required Field
																		</SPAN>
																		<SPAN id=CustKeyMl_ComValMaxLimit style="COLOR: red; DISPLAY: none" evaluationfunction="CompareValidatorEvaluateIsValid" errormessage="Invalid Input" controltovalidate="CustKeyMl_txtAllowNo" display="Dynamic" operator="GreaterThanEqual" valuetocompare="0" type="Integer">
																			Invalid Input
																		</SPAN>
																	</TD>
																</TR>
																<TR class=generalbody>
																	<TD width="30%">&nbsp;&nbsp;&nbsp; Scope:</TD>
																	<TD width="70%">
																		<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table3 width="100%">
																			<TBODY>
																				<TR class=generalbody>
																					<TD>
																						<SPAN class=radio>
																							<INPUT CHECKED id=CustKeyMl_rdoInd name=optscope type=radio value=1>
																						</SPAN>
																					</TD>
																					<TD><STRONG>Email</STRONG>:Add each different email address sending to this KeyMail to its list. Each email address counts as 1 sender. </TD>
																				</TR>
																				<TR class=generalbody>
																					<TD>
																						<SPAN class=radio>
																							<INPUT id=CustKeyMl_rdoDom name=optscope type=radio value=2>
																						</SPAN>
																					</TD>
																					<TD><STRONG>Domain</STRONG>:Add each different domain sending to this KeyMail to its list. Each different DOMAIN sending to this KeyMail counts as 1 sender.</TD>
																				</TR>
																				<TR class=generalbody>
																					<TD>
																						<SPAN class=radio>
																							<INPUT id=CustKeyMl_rdoSubDom name=optscope type=radio value=3>
																						</SPAN>
																					</TD>
																					<TD><STRONG>Sub Domain</STRONG>:Add each different domain including its subdomains sending to this KeyMail to its list. Each different domain, including its subdomains sending to this KeyMail counts as 1 sender.</TD>
																				</TR>
																			</TBODY>
																		</TABLE>
																	</TD>
																</TR>
																<TR class=generalbody-gray>
																	<TD width="30%">&nbsp;&nbsp;&nbsp; Expiration:</TD>
																	<TD width="70%">
																		<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table4 width="100%">
																			<TBODY>
																				<TR class=generalbody-gray>
																					<TD colSpan=2>
																						<SPAN class=radio>
																							<INPUT CHECKED name=optexpire type=radio value=never onclick="chkSenders()">
																						</SPAN>Never Expire
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD align=left colSpan=2 vAlign=top>
																						<SPAN class=radio>
																							<INPUT name=optexpire type=radio value=days onclick="chkSenders()">
																						</SPAN>Expire
																						<INPUT class=textinpt maxLength=5 name=txtallowdays size=5 value=0>&nbsp;days after
																						<SPAN id=CustKeyMl_ReqValdays style="COLOR: red; DISPLAY: none" initialvalue="" evaluationfunction="RequiredFieldValidatorEvaluateIsValid" errormessage="Required Field" controltovalidate="CustKeyMl_howmanydays" display="Dynamic">
																							Required Field
																						</SPAN>
																						<SPAN id=CustKeyMl_ComValDisAblAfter style="COLOR: red; VISIBILITY: hidden" evaluationfunction="CompareValidatorEvaluateIsValid" errormessage="Invalid Input" controltovalidate="CustKeyMl_howmanydays" operator="GreaterThanEqual" valuetocompare="0" type="Integer">
																							Invalid Input
																						</SPAN>&nbsp;
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD align=left vAlign=top width="40%"></TD>
																					<TD width="60%">
																						<TABLE border=0 class=radio id=CustKeyMl_rdo style="FONT-FAMILY: verdana,Geneva,Arial,Helvetica,sans-serif; FONT-SIZE: 100%; WIDTH: 393px">
																							<TBODY>
																								<TR>
																									<TD><INPUT id=CustKeyMl_rdo_0 name=optfrom type=radio value=A><LABEL for=CustKeyMl_rdo_0>Today</LABEL></TD>
																								</TR>
																								<TR>
																									<TD><INPUT CHECKED id=CustKeyMl_rdo_1 name=optfrom type=radio value=R><LABEL for=CustKeyMl_rdo_1>The first time an email is sent to this Keymail Address</LABEL></TD>
																								</TR>
																							</TBODY>
																						</TABLE>
																					</TD>
																				</TR>
																			</TBODY>
																		</TABLE>
																	</TD>
																</TR>
															</TBODY>
														</TABLE>
													</TD>
												</TR>
												<TR class=generalbody>
													<TD width="30%">Replace Keymail in TO Header:</TD>
													<TD colSpan=2 width="70%">
														<SPAN class=radio><INPUT CHECKED name=changekeymail type=radio value="0"></SPAN>Do not replace keymail address in TO header field with Primary email address.<BR>
														<SPAN class=radio><INPUT name=changekeymail type=radio value="1"></SPAN>Replace keymail address in TO header field with Primary email address.
													</TD>
												</TR>

												<TR class=generalbody>
													<TD width="30%">Enter any comments (e.g website being used) that will help you recall the purpose of this keymail for later use:</TD>
													<TD colSpan=2 width="70%"><TEXTAREA class=txtarea cols=55 id=CustKeyMl_txtComment name=txtcomment rows=5></TEXTAREA></TD>
												</TR>
												<TR>
													<TD width="30%"></TD>
													<TD colSpan=2 width="70%"><SPAN class=errmsg id=CustKeyMl_lblMsg style="COLOR: red"><%= message %></SPAN></TD>
												</TR>
												<TR>
													<TD width="30%"></TD>
													<TD colSpan=2 width="70%"><INPUT class=btn name=cmdCreate type=submit value=Save onclick="chkValidation();return false"></TD>
												</TR>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<%
}
%>