<%
/********************************************************************************/
/* Name			:	quarantine.jsp												*/
/* Copyright	:	2006 DATA INFOCOM LTD.										*/
/* Team			:	Spam Control Team											*/
/* Developer	:	Kishan Kumar Meena											*/
/* Last Updated	:	1.46 PM 18/02/2006											*/
/* Abstract		:	Shows list of all  Aliases									*/
/* Called from	: 	dashboard													*/
/* Calls		:	n															*/
/********************************************************************************/
%>
<%@ page language="java" import ="java.util.Date,java.text.SimpleDateFormat,com.DBConnection,java.sql.*" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int loginuserid = validate.getUserid();
int NumRec = 10;

if(loginuserid==0)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int aliasrecords = 0;
	int userid = 0;
	int tempuserid = validate.getTempuserid();
	int adminid = validate.getAdminid();
	int i = 0;
	String gridclass = "";
	String message = "";
	String flag = "true";
	String flagdeleteBtn = "false";
	String txtAfter = "";
	String datePtt = "[DD/MM/YYYY]";
	String dateForm = "dd/MM/yyyy";
	String dateFormat = "103";

	if(request.getParameter("returnval") != null)
		message = request.getParameter("returnval");

	if(tempuserid == 0)
		userid = loginuserid;
	else 
		userid = tempuserid;

	try
	{
		DBConnection dbconn = new DBConnection ();
		Connection conn = dbconn.getConnection();
		Statement stmt = conn.createStatement();
		ResultSet rs = stmt.executeQuery("Select date_format from admindefaults");
		rs.next();
		if(rs.getString("date_format").equalsIgnoreCase("MM/DD/YYYY"))
		{
			dateFormat = "101";
			datePtt = "[MM/DD/YYYY]";
			dateForm = "MM/dd/yyyy";
		}
	stmt.close();
	conn.close();
	}
	catch(Exception e)
	{
		System.out.println("Exception in quarantine.jsp"+e);
	}

	SimpleDateFormat dateformat = new SimpleDateFormat(dateForm);
	String date = dateformat.format(new Date());
	String searchdate = date;

	String order = "desc";
	String columnname = "alias_addr";
	if(request.getParameter("hidorder") != null)
		order = request.getParameter("hidorder");
	if(request.getParameter("hidcolumn") != null)
		columnname = request.getParameter("hidcolumn");

	int aliasminpage = 0;
	int aliasmin = 1;
	int aliasminimum = 1;
	if(request.getParameter("hidaliasminpage") != null &&!request.getParameter("hidaliasminpage").equals(""))
			aliasminpage = Integer.parseInt(request.getParameter("hidaliasminpage"));
	if(request.getParameter("hidaliasmin") != null &&!request.getParameter("hidaliasmin").equals(""))
			aliasmin = Integer.parseInt(request.getParameter("hidaliasmin"));
	if(request.getParameter("hidaliasminimum") != null &&!request.getParameter("hidaliasminimum").equals(""))
			aliasminimum = Integer.parseInt(request.getParameter("hidaliasminimum"));
	if(request.getParameter("txtNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("txtNumRec"));

	if(request.getParameter("flag") != null)
	flag = request.getParameter("flag");

	if (request.getParameter("txtAfter") != null)
	{
	searchdate = request.getParameter("txtAfter");
	date = searchdate;
	}
%>
<HTML>
	<HEAD>
		<TITLE>View all Quarantined Mails</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<!-- START SCRIPT -->
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<SCRIPT src="scripts/date-picker.js"></SCRIPT>
	<script language = "javascript">
		
		//FUNCTION TO SORT RECORDS
		function sort(order,column)
		{
			document.FrmViewQuarantine.hidcolumn.value=column;
			document.FrmViewQuarantine.hidorder.value=order;
			document.FrmViewQuarantine.action="viewalias.jsp";
			document.FrmViewQuarantine.submit();
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			document.FrmViewQuarantine.hidaliasminpage.value=pageno;
			document.FrmViewQuarantine.hidaliasmin.value=min;
			document.FrmViewQuarantine.hidaliasminimum.value=min;
			document.FrmViewQuarantine.action="viewalias.jsp";
			document.FrmViewQuarantine.submit();
		}

		//FUNCTION TO SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			document.FrmViewQuarantine.hidaliasminimum.value=min;
			document.FrmViewQuarantine.hidNumRec.value=10;
			document.FrmViewQuarantine.action="quarantine.jsp";
			document.FrmViewQuarantine.submit();
		}

		
		function mailMove(id,count)
		{
			document.FrmViewQuarantine.hidRecId.value = id;
			document.FrmViewQuarantine.hidFlag.value = "MOVE";
			document.FrmViewQuarantine.action='interquarantine.jsp';
			document.FrmViewQuarantine.submit();
		}

		function mailDelete(id)
		{
			document.FrmViewQuarantine.hidRecId.value = id;
			document.FrmViewQuarantine.hidFlag.value = "DELETE";
			document.FrmViewQuarantine.action='interquarantine.jsp';
			document.FrmViewQuarantine.submit();
		}

		function mailDeleteAll()
		{
			document.FrmViewQuarantine.hidFlag.value = "DELETE ALL";
			document.FrmViewQuarantine.action='interquarantine.jsp';
			document.FrmViewQuarantine.submit();
		}

		function funsearch()
		{
			document.FrmViewQuarantine.action='quarantine.jsp';
			document.FrmViewQuarantine.submit();
		}

		function frmSubmit2(aslid,updatetype,id)
		{
			document.FrmViewQuarantine.hidRecId.value = id;
			document.FrmViewQuarantine.hidFlag.value="SCOPE";
			document.FrmViewQuarantine.hidFlagASL.value = updatetype;
			document.FrmViewQuarantine.hidFlagASLID.value = aslid;
			document.FrmViewQuarantine.action = "interquarantine.jsp";
			document.FrmViewQuarantine.submit();
		}

	</script>
	<!-- END SCRIPT -->
	<BODY>
		<FORM method=post name=FrmViewQuarantine>
			<INPUT type="hidden" class=textinpt name="hidaliasminpage" value="<%=aliasminpage%>">
			<INPUT type="hidden" class=textinpt name="hidaliasmin" value="<%=aliasmin%>">
			<INPUT type="hidden" class=textinpt name="hidaliasminimum" value="<%=aliasminimum%>">
			<INPUT type="hidden" name="hidcolumn" value="<%=columnname%>">
			<INPUT type="hidden" name="hidorder" value="<%=order%>">
			<INPUT type="hidden" name="hidNumRec" value="<%=NumRec%>">
			<INPUT type="hidden" name="flag" value="true">
			<INPUT type="hidden" name="hidRecId">
			<INPUT type="hidden" name="hidFlag">
			<INPUT type="hidden" name="hidFlagASL">
			<INPUT type="hidden" name="hidFlagASLID">
			<INPUT type="hidden" name="hidCallFrom" value="DASHBOARD">
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--FOR THE HEADER IMAGE-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="436" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="View all Alias_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% } else if (adminid == 3) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%"></TD>
														<TD width="34%"></TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">
																			<spam:UserInfo userid="<%= loginuserid %>">
																				Logged in as: <%= username %>@<%=domainname%>
																			</spam:UserInfo>
																			<% if (userid != loginuserid) { %>
																				<spam:UserInfo userid="<%= tempuserid %>">
																					<%
																					if (username.equals("0"))
																					{}
																					else
																					{
																					%>
																						and working as: <%= username %>@<%=domainname%>
																					<%
																					}
																					%>
																				</spam:UserInfo>
																			<% } %>
																		</TD>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ViewQuarantineHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg ><!--For the menu--><!--Menu for User-->
							<spam:usermenu showCurrPage="14"></spam:usermenu>
						</TD>
						<TD vAlign=top class=general_TR><!--Main Section-->
						<br>
						<center>
						<font face="Verdana">Email Date</font>
						<INPUT class=textinpt id=txtAfter maxLength=10 name=txtAfter size=10 value="<%=date%>" readonly>
						<A href="javascript:show_calendar('FrmViewQuarantine.txtAfter',<%=dateFormat%>);">
						<IMG align=middle alt="Click to Input Date" border=0 src="images/calendar.gif" width="16" height="14"></A>&nbsp;<INPUT class=btn name=cmdSearch type=button value=" Go " onclick="funsearch();">
						<A href="customview.jsp?c=q">Search</A>
						</center>
						<br>
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%" id=result>
								<TBODY>
									<TR>
										<TD>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR class=2nd_grid_head>
														<TD>
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=2nd_grid_head>
																		<TD align=left width="33.33%"><a class="sectionheadlink" href="addalias.jsp"></a></TD>
																		<TD width="33.33%">Search Result for Quarantined Mails</TD>
																		<TD width="33.33%">&nbsp;</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR>
														<TD vAlign=top width="100%">
															<TABLE border=1 cellPadding=0 cellSpacing=0 id=DGAlias rules=cols style="BORDER-BOTTOM: 1px solid; BORDER-COLLAPSE: collapse; BORDER-LEFT: 1px solid; BORDER-RIGHT: 1px solid; BORDER-TOP: 1px solid; WIDTH: 100%" height="16">
																<TBODY>
																	<TR class=2nd_griditem_head-ash>
																		<TD style="WIDTH: 15%">From</TD>
																		<TD style="WIDTH: 25%" height="7">Subject</TD>
																		<TD style='WIDTH: 10%'>Mail Size (KB)</TD>
																		<TD style='WIDTH: 5%'>Time</TD>
																		<TD style='WIDTH: 10%'>Policy</TD>
																		<TD style='WIDTH: 10%'>Scope</TD>
																		<TD style='WIDTH: 8%'>Send To inbox</TD>
																		<TD style='WIDTH: 5%'>Delete</TD>
																		
																	</TR>
<!-- VIEWING ALL QUARANTINE -->
																	<spam:Quarantine minimum="<%=aliasminimum%>" userid="<%=userid%>" noofrec="0" column="<%=columnname%>" order="<%=order%>" searchdate="<%=searchdate%>">
<%
																	if (To.equals("0"))
																	{}
																	else
																	{
																		i++;
																		if (i%2 != 0)
																			gridclass = "gridrow2";
																		else
																			gridclass = "gridrow1-ash";

																		if(!Flag.equals("n"))
																		{
																			flagdeleteBtn = "true";
																			
%>
																		<TR class = "<%=gridclass%>">
																			<TD style="WIDTH: 15%" bgcolor="#FFFFCC"><%= From %></TD>

																			<TD style="WIDTH: 25%" height="7" bgcolor="#FFFFCC"><%=MailSubject%></TD>

																			<TD style='WIDTH: 10%' bgcolor="#FFFFCC"><%=Size%></TD>
																			<TD style='WIDTH: 5%' bgcolor="#FFFFCC"><%=MailDate%></TD>
																			<TD style='WIDTH: 10%' bgcolor="#FFFFCC">
																			<%
																				if(Integer.parseInt(ApprovalId)==0)
																			{ %>					
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('1','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'pre-approved'. All email from this sender is welcome." type=submit value=P>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('3','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type=submit value=U>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('2','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'spam' and reject all subsequent emails from this sender" type=submit value=S>
																			<%
																			}
																			else if(Integer.parseInt(ConditionId)==1)
																			{
																			%>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('1','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'pre-approved'. All email from this sender is welcome." type=submit value=P disabled>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('3','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type=submit value=U>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('2','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'spam' and reject all subsequent emails from this sender" type=submit value=S>
																			<%
																			}
																			else if(Integer.parseInt(ConditionId)==3)
																			{
																			%>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('1','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'pre-approved'. All email from this sender is welcome." type=submit value=P>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('3','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type=submit value=U disabled>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('2','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'spam' and reject all subsequent emails from this sender" type=submit value=S>
																			<%
																			}
																			else if(Integer.parseInt(ConditionId)==2)
																			{
																			%>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('1','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'pre-approved'. All email from this sender is welcome." type=submit value=P>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('3','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type=submit value=U>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('2','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'spam' and reject all subsequent emails from this sender" type=submit value=S disabled>
																			<%
																			}
																			%>
																			</TD>

																			<TD style='WIDTH: 10%' bgcolor="#FFFFCC">
																			<%
																				if(Integer.parseInt(ApprovalId)==0)
																			{ %>
																			<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('1','UPDATESCOPE','<%=MailId%>') title="Apply policy to this email address only" type=submit value=E>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('2','UPDATESCOPE','<%=MailId%>') title="Apply policy to the entire domain (organization)" type=submit value=D>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('3','UPDATESCOPE','<%=MailId%>') title="Apply policy to the domain AND any subdomains" type=submit value=S>
																				<%
																			}
																				else if(Integer.parseInt(ApprovalId)==1)
																			{
																					%>
																					<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('1','UPDATESCOPE','<%=MailId%>') title="Apply policy to this email address only" type=submit value=E disabled>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('2','UPDATESCOPE','<%=MailId%>') title="Apply policy to the entire domain (organization)" type=submit value=D>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('3','UPDATESCOPE','<%=MailId%>') title="Apply policy to the domain AND any subdomains" type=submit value=S>
																				<%
																			}
																				else if(Integer.parseInt(ApprovalId)==2)
																			{
																					%>
																					<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('1','UPDATESCOPE','<%=MailId%>') title="Apply policy to this email address only" type=submit value=E >
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('2','UPDATESCOPE','<%=MailId%>') title="Apply policy to the entire domain (organization)" type=submit value=D disabled>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('3','UPDATESCOPE','<%=MailId%>') title="Apply policy to the domain AND any subdomains" type=submit value=S>
																				<%
																			}
																				else if(Integer.parseInt(ApprovalId)==3)
																			{
																					%>
																					<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('1','UPDATESCOPE','<%=MailId%>') title="Apply policy to this email address only" type=submit value=E>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('2','UPDATESCOPE','<%=MailId%>') title="Apply policy to the entire domain (organization)" type=submit value=D>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('3','UPDATESCOPE','<%=MailId%>') title="Apply policy to the domain AND any subdomains" type=submit value=S disabled>
																				<%
																			}
																					%>

																			</TD>
																		
																		<TD style='WIDTH: 8%' bgcolor="#FFFFCC">
																		<INPUT class=btn name=cmdMove type=button value="Send" onclick="mailMove('<%=MailId%>',<%=i%>); return false">
																		</TD>
																		<TD style='WIDTH: 5%' bgcolor="#FFFFCC">
																		<CENTER><IMG src="/images/delete.gif" onclick="mailDelete('<%=MailId%>'); return false"></CENTER>
																		</TD>
																		
																		</TR>
																		<INPUT type="hidden" name="hidsessionid" value="<%=SessionId%>">
<% 
																}else
																		{
																			flagdeleteBtn = "true";
%>
																		<TR class = "<%=gridclass%>">
																			<TD style="WIDTH: 15%"><%= From %></TD>
																			<TD style="WIDTH: 25%" height="7"><%=MailSubject%></TD>
																			<TD style='WIDTH: 10%'><%=Size%></TD>
																			<TD style='WIDTH: 5%'><%=MailDate%></TD>
																			<TD style='WIDTH: 10%'>
																			<%
																				if(Integer.parseInt(ConditionId)==0)
																			{ %>					
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('1','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'pre-approved'. All email from this sender is welcome." type=submit value=P>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('3','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type=submit value=U>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('2','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'spam' and reject all subsequent emails from this sender" type=submit value=S>
																			<%
																			}
																			else if(Integer.parseInt(ConditionId)==1)
																			{
																			%>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('1','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'pre-approved'. All email from this sender is welcome." type=submit value=P disabled>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('3','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type=submit value=U>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('2','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'spam' and reject all subsequent emails from this sender" type=submit value=S>
																			<%
																			}
																			else if(Integer.parseInt(ConditionId)==3)
																			{
																			%>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('1','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'pre-approved'. All email from this sender is welcome." type=submit value=P>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('3','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type=submit value=U disabled>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('2','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'spam' and reject all subsequent emails from this sender" type=submit value=S>
																			<%
																			}
																			else if(Integer.parseInt(ConditionId)==2)
																			{
																			%>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('1','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'pre-approved'. All email from this sender is welcome." type=submit value=P>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('3','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type=submit value=U>
																			<INPUT class=linkbtn name=cmdPolicy onclick=frmSubmit2('2','UPDATEPOLICY','<%=MailId%>') title="Make this email address 'spam' and reject all subsequent emails from this sender" type=submit value=S disabled>
																			<%
																			}
																			%>
																			
																			</TD>
																			<TD style='WIDTH: 10%'>

																			<%
																				if(Integer.parseInt(ApprovalId)==0)
																			{ %>
																			<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('1','UPDATESCOPE','<%=MailId%>') title="Apply policy to this email address only" type=submit value=E>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('2','UPDATESCOPE','<%=MailId%>') title="Apply policy to the entire domain (organization)" type=submit value=D>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('3','UPDATESCOPE','<%=MailId%>') title="Apply policy to the domain AND any subdomains" type=submit value=S>
																				<%
																			}
																				else if(Integer.parseInt(ApprovalId)==1)
																			{
																					%>
																					<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('1','UPDATESCOPE','<%=MailId%>') title="Apply policy to this email address only" type=submit value=E disabled>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('2','UPDATESCOPE','<%=MailId%>') title="Apply policy to the entire domain (organization)" type=submit value=D>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('3','UPDATESCOPE','<%=MailId%>') title="Apply policy to the domain AND any subdomains" type=submit value=S>
																				<%
																			}
																			else if(Integer.parseInt(ApprovalId)==2)
																			{
																					%>
																					<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('1','UPDATESCOPE','<%=MailId%>') title="Apply policy to this email address only" type=submit value=E >
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('2','UPDATESCOPE','<%=MailId%>') title="Apply policy to the entire domain (organization)" type=submit value=D disabled>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('3','UPDATESCOPE','<%=MailId%>') title="Apply policy to the domain AND any subdomains" type=submit value=S>
																				<%
																			}
																				else if(Integer.parseInt(ApprovalId)==3)
																			{
																					%>
																					<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('1','UPDATESCOPE','<%=MailId%>') title="Apply policy to this email address only" type=submit value=E>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('2','UPDATESCOPE','<%=MailId%>') title="Apply policy to the entire domain (organization)" type=submit value=D>
																				<INPUT class=linkbtn name=cmdScope onclick=frmSubmit2('3','UPDATESCOPE','<%=MailId%>') title="Apply policy to the domain AND any subdomains" type=submit value=S disabled>
																				<%
																			}
																					%>
																			</TD>
																		
																		<TD style='WIDTH: 8%'>
																		<INPUT class=btn name=cmdMove type=button value="Send" onclick="mailMove('<%=MailId%>',<%=i%>); return false">
																		</TD>
																		<TD style='WIDTH: 5%'><CENTER>
																		<a href=javascript:onclick=mailDelete('<%=MailId%>')>
																		<IMG src="/images/delete.gif" border=0> </a></CENTER>
																		</TD>
																		
																		</TR>
																		<INPUT type="hidden" name="hidsessionid" value="<%=SessionId%>">
<%
																		}
																	}
%>
																	</spam:Quarantine>
																	<% aliasrecords = Exprquarantine.intValue();	%>
																	<TR class='footer' align='Right' style='font-weight:bold;'>
																	<td></td><td></td><td></td><td></td><td></td>
																		<TD colspan='3' >
																			<utility:paging totalrecords="<%=aliasrecords%>" minpage="<%=aliasminpage%>" min="<%=aliasmin%>" pagingtype="quarantine" 
																			txtNumRec="<%=NumRec%>"/>
																		</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR>
														<TD align=middle>&nbsp;</TD>
													</TR>
													<TR>
														<TD align=middle><SPAN class=errMsg id=lblErr><%=message%></SPAN></TD>
													</TR>
														<script>
														var flag = '<%=flag%>'
														if (flag == "false")
															result.style.display = 'none';
														else if (flag == "true")
															result.style.display = '';
														</script>
														<%
														if(flagdeleteBtn.equals("true"))
														{
															%>
															<tr><td>&nbsp;</td></tr>
														<TR>
														<TD align=middle>
														<INPUT class=btn name=cmdDeleteAll type=button value="Delete All" onclick="mailDeleteAll(); return false">
														</TD>
														</TR>
														<%
															}
															%>
												</TBODY>
											</TABLE>
											<INPUT TYPE="hidden" name="hidNumOfChk" value=<%=i%>>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
			<INPUT class=textInpt type=hidden name=txtcount value=<%=i%>>
		</FORM>
	</BODY>
</HTML>
<%
}
%>